Bug 6724 - Holds Ratio does not allow decimals
Summary: Holds Ratio does not allow decimals
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Brett Wilkins
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-15 16:47 UTC by Joy Nelson
Modified: 2012-10-25 23:10 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
bug 6724: enable decimals on values greater than 1 (990 bytes, patch)
2011-08-29 05:56 UTC, Brett Wilkins
Details | Diff | Splinter Review
Separating perl standard uses from koha uses (875 bytes, patch)
2011-08-29 05:57 UTC, Brett Wilkins
Details | Diff | Splinter Review
bug 6724: enable decimals on values greater than 1 (990 bytes, patch)
2011-08-29 06:03 UTC, Brett Wilkins
Details | Diff | Splinter Review
bug 6724: enable decimals on values greater than 1 (990 bytes, patch)
2011-08-29 06:03 UTC, Brett Wilkins
Details | Diff | Splinter Review
Signed-off patches, squashed (1.52 KB, patch)
2011-08-29 14:26 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Joy Nelson 2011-08-15 16:47:51 UTC
Holds Ratio report does not allow decimals.  When decimal is entered (1.5) as the ratio, the system reverts to the default value.
Comment 1 Brett Wilkins 2011-08-29 05:56:12 UTC Comment hidden (obsolete)
Comment 2 Brett Wilkins 2011-08-29 05:57:47 UTC Comment hidden (obsolete)
Comment 3 Brett Wilkins 2011-08-29 06:03:21 UTC Comment hidden (obsolete)
Comment 4 Brett Wilkins 2011-08-29 06:03:42 UTC Comment hidden (obsolete)
Comment 5 Owen Leonard 2011-08-29 14:26:30 UTC
Created attachment 5210 [details] [review]
Signed-off patches, squashed

Before applying the patch entering a value like "1.5" would return the same results as leaving the default "3." After applying the patch I get revised results using the "1.5" value.
Comment 6 Brett Wilkins 2011-08-29 23:14:11 UTC
It occurs to me that we could do away with the if-not-defined block, as undef += 0 == 0.

Shouldn't worry about it for now, though?
Comment 7 Ian Walls 2011-09-06 13:56:34 UTC
Math-only patch, easy to read, marking as Passed QA
Comment 8 Chris Cormack 2011-09-06 20:53:55 UTC
Pushed, please test
Comment 9 Chris Nighswonger 2011-10-26 18:02:22 UTC
The fix for this bug was published in the 3.4.5 release. If you were the reporter of this bug, please take time to verify the fix and update the status of this bug report accordingly. If the bug is fixed to your satisfaction, please close this report.